org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.decoration

## Class VertexProgramStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
  - - org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.decoration.VertexProgramStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.DecorationStrategy>, TraversalStrategy.DecorationStrategy

      public final class VertexProgramStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
      implements TraversalStrategy.DecorationStrategy

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VertexProgramStrategy.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EDGES`
    `static String` | `GRAPH_COMPUTER`
    `static String` | `PERSIST`
    `static String` | `RESULT`
    `static String` | `VERTICES`
    `static String` | `WORKERS`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexProgramStrategy(Computer computer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGraphComputerStrategies(TraversalSource traversalSource)`
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `static VertexProgramStrategy.Builder` | `build()`
    `static VertexProgramStrategy` | `create(org.apache.commons.configuration2.Configuration configuration)`
    `static Optional<Computer>` | `getComputer(TraversalStrategies strategies)`
    `org.apache.commons.configuration2.Configuration` | `getConfiguration()` Get the configuration representation of this strategy.
    `static VertexProgramStrategy` | `instance()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.DecorationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, applyPrior`

- - ### Field Detail

    - #### GRAPH_COMPUTER

          public static final String GRAPH_COMPUTER

      See Also:
        Constant Field Values

    - #### WORKERS

          public static final String WORKERS

      See Also:
        Constant Field Values

    - #### PERSIST

          public static final String PERSIST

      See Also:
        Constant Field Values

    - #### RESULT

          public static final String RESULT

      See Also:
        Constant Field Values

    - #### VERTICES

          public static final String VERTICES

      See Also:
        Constant Field Values

    - #### EDGES

          public static final String EDGES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VertexProgramStrategy

          public VertexProgramStrategy(Computer computer)

  - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`

    - #### getComputer

          public static Optional<Computer> getComputer(TraversalStrategies strategies)

    - #### addGraphComputerStrategies

          public void addGraphComputerStrategies(TraversalSource traversalSource)

    - #### instance

          public static VertexProgramStrategy instance()

    - #### getConfiguration

          public org.apache.commons.configuration2.Configuration getConfiguration()

      Description copied from interface: `TraversalStrategy`
      Get the configuration representation of this strategy. This is useful for converting a strategy into a serialized form.
      Specified by:
        `getConfiguration` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`
      Returns:
        the configuration used to create this strategy

    - #### create

          public static VertexProgramStrategy create(org.apache.commons.configuration2.Configuration configuration)

    - #### build

          public static VertexProgramStrategy.Builder build()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.